# $Revision: 1.30 $, $Date: 2009/09/10 10:46:52 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Dump
Summary:	Data::Dump - pretty printing of data structures
Summary(pl.UTF-8):	Data::Dump - ładne wyświetlanie struktur danych
Name:		perl-Data-Dump
Version:	1.15
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	775729739a599dc5fbf918dc7cffe9f4
URL:		http://search.cpan.org/dist/Data-Dump/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Data::Dump module. It is a simplification of
Sarathy's Data::Dumper. This module provides a single function called
dump() that takes a list of values as argument and produce a string as
result. The string contains Perl code that when evaled will produce a
deep copy of the original arguments. The string is formatted for easy
reading.

%description -l pl.UTF-8
Ten pakiet zawiera moduł Data::Dump. Jest on uproszczeniem modułu
Data::Dumper Sarathy'ego. Ten moduł dostarcza pojedynczą funkcję o
nazwie dump(), która przyjmuje jako argument listę wartości i zwraca
w wyniku ciąg znaków. Ciąg ten zawiera kod perlowy, który po wykonaniu
zwraca kopię oryginalnych argumentów. Ciąg ten jest sformatowany tak,
by był łatwo czytelny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Data/Dump
%{perl_vendorlib}/Data/Dump.pm
%{perl_vendorlib}/Data/Dump/Trace.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Dump.spec,v $
Revision 1.30  2009/09/10 10:46:52  amateja
- updated to 1.15

Revision 1.29  2009/06/18 10:16:13  amateja
- updated to 1.14

Revision 1.28  2009/01/06 21:11:59  duddits
- up to 1.13
- %files tune-ups

Revision 1.27  2008/03/23 19:50:19  qboosh
- tests bcond

Revision 1.26  2008-03-06 01:21:08  wolvverine
- rel.2

Revision 1.25  2007-12-24 11:43:47  qboosh
- generic URL

Revision 1.24  2007-12-23 22:56:01  zbyniu
- up to 1.08

Revision 1.23  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.21  2004/11/12 13:42:50  paladine
- updated to 1.06

Revision 1.20  2004/11/11 22:23:57  paladine
- updated to 1.05

Revision 1.19  2004/11/03 22:30:16  paladine
- formatting

Revision 1.18  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.17  2004/05/06 18:09:29  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/20 07:24:02  ankry
- cosmetics

Revision 1.15  2004/04/19 22:22:13  ankry
- license/description fixes

Revision 1.14  2004/04/14 14:44:03  ankry
- fixed License

Revision 1.13  2004/04/14 14:37:50  ankry
- cosmetics

Revision 1.12  2004/04/13 14:57:34  adamg
- updated to 1.03

Revision 1.11  2003/12/23 08:13:36  misi3k
- updated to 1.02

Revision 1.10  2003/10/11 20:53:05  migo
- up to 1.01

Revision 1.9  2003/10/07 13:32:44  migo
- up to 1.00
- fixed summaries
- do tests

Revision 1.8  2003/08/18 08:08:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:31:04  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/13 18:39:04  qboosh
- new
